This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470223 - anaconda kills and restarts iscsid each time an iscsi / zfcp disk gets added
anaconda kills and restarts iscsid each time an iscsi / zfcp disk gets added
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 06:42 EST by Hans de Goede
Modified: 2008-11-08 07:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-08 07:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-11-06 06:42:17 EST
Description of problem:
anaconda kills and restarts iscsid each time an iscsi / zfcp disk gets added, resulting in messages like these on tty4:

<28> Nov  6 11:30:06 iscsid: connection1:0 is operational now
<28> Nov  6 11:30:07 iscsid: iscsid shutting down.
<28> Nov  6 11:30:08 iscsid: iscsid with pid=1359 started
<28> Nov  6 11:30:09 iscsid: session [iqn.2005-03.com.max:testdisk,192.168.1.100:3260] already running
<28> Nov  6 11:30:09 iscsid: connection1:0 is operational after recovery (1 attempts)

Esp. the "connection1:0 is operational after recovery (1 attempts)" clearly indicates that this is not a good thing todo. iscsid is designed as a kernel helper daemon, which when iscsi is used should be started and never stopped again.
Comment 1 Hans de Goede 2008-11-06 06:43:06 EST
Re-assigning to myself.
Comment 2 Hans de Goede 2008-11-08 07:37:06 EST
This is fixed in git now, the next anaconda release 11.4.1.57 will include this fix: http://git.fedorahosted.org/git/?p=anaconda.git;a=commitdiff;h=06618ab4c99656facc8795f6943c4fb4315e2edc

Note You need to log in before you can comment on or make changes to this bug.